local excitingBrickGameSceneHandler = require("mods").requireFromPlugin("exciting_brick_game.exciting_brick_game_scene_handler")

math.randomseed(os.time())

love.graphics.setDefaultFilter("nearest", "nearest", 1)
love.graphics.setBackgroundColor(1.0, 0.0, 1.0)
love.keyboard.setKeyRepeat(true)

-- Test these and tweak
DRAW_INTERVAL = 1 / 60
UPDATE_INTERVAL = 1 / 240
MAIN_LOOP_SLEEP = 0.001

local excitingBrickGameScene = excitingBrickGameSceneHandler.createScene()

function love.keypressed(key, scancode, isrepeat)
    excitingBrickGameScene:keypressed(key, scancode, isrepeat)
end

function love.keyreleased(key, scancode)
    excitingBrickGameScene:keyreleased(key, scancode)
end

function love.gamepadpressed(joystick, button)
    excitingBrickGameScene:gamepadpressed(joystick, button)
end

function love.gamepadreleased(joystick, button)
    excitingBrickGameScene:gamepadreleased(joystick, button)
end

function love.draw()
    excitingBrickGameScene:draw()
end

function love.update(dt)
    excitingBrickGameScene:update(dt)
end
