local excitingBrickGameMode = {}

excitingBrickGameMode._MT = {}
excitingBrickGameMode._defaultValues = {}

-- Prioritize functions from the theme, then sane defaults
function excitingBrickGameMode._MT:__index(key)
    if self._mode and self._mode[key] then
        return self._mode[key]
    end

    if excitingBrickGameMode._defaultValues[key] then
        return excitingBrickGameMode._defaultValues[key]
    end

    return rawget(self, key)
end

-- Updating games in updateGame instead, updating twice would "double" the speed of the game
function excitingBrickGameMode._defaultValues.updateGames(dt, games)

end

-- Update game by dt
function excitingBrickGameMode._defaultValues.updateGame(dt, game)
    game:update(dt)
end

function excitingBrickGameMode._defaultValues.update(dt)

end

function excitingBrickGameMode._defaultValues.init()

end

function excitingBrickGameMode.loadMode(modeName)
    local self = {}

    self._modeName = modeName
    self._mode = require("mods").requireFromPlugin(modeName)

    return setmetatable(self, excitingBrickGameMode._MT)
end

return excitingBrickGameMode