local matrix = require("mods").requireFromPlugin("matrix")

local excitingBrickShape = {}

excitingBrickShape.name = "l"

excitingBrickShape.centerX = 2
excitingBrickShape.centerY = 2

excitingBrickShape.rotations = {
    matrix.fromTable({
        " ", " ", "l",
        "l", "l", "l",
        " ", " ", " "
    }, 3, 3),
    matrix.fromTable({
        " ", "l", " ",
        " ", "l", " ",
        " ", "l", "l"
    }, 3, 3),
    matrix.fromTable({
        " ", " ", " ",
        "l", "l", "l",
        "l", " ", " "
    }, 3, 3),
    matrix.fromTable({
        "l", "l", " ",
        " ", "l", " ",
        " ", "l", " "
    }, 3, 3)
}

excitingBrickShape.offsets = {
    {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},
    {{0, 0}, {1, 0}, {1, -1}, {0, 2}, {1, 2}},
    {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},
    {{0, 0}, {-1, 0}, {-1, -1}, {0, 2}, {-1, 2}},
}

return excitingBrickShape