local matrix = require("mods").requireFromPlugin("matrix")

local excitingBrickShape = {}

excitingBrickShape.name = "o"

excitingBrickShape.centerX = 2
excitingBrickShape.centerY = 2

excitingBrickShape.rotations = {
    matrix.fromTable({
        " ", "o", "o",
        " ", "o", "o",
        " ", " ", " "
    }, 3, 3),
    matrix.fromTable({
        " ", " ", " ",
        " ", "o", "o",
        " ", "o", "o"
    }, 3, 3),
    matrix.fromTable({
        " ", " ", " ",
        "o", "o", " ",
        "o", "o", " "
    }, 3, 3),
    matrix.fromTable({
        "o", "o", " ",
        "o", "o", " ",
        " ", " ", " "
    }, 3, 3),
}

excitingBrickShape.offsets = {
    {{0, 0}},
    {{0, -1}},
    {{-1, -1}},
    {{-1, 0}},
}

return excitingBrickShape