local excitingBrickShape = {}

excitingBrickShape._MT = {}

-- No kick checks, plain rotation
local defaultRotationOffset = {
    {{0, 0}},
    {{0, 0}},
    {{0, 0}},
    {{0, 0}}
}

function excitingBrickShape._MT:__index(key)
    if excitingBrickShape._defaultValues[key] then
        return excitingBrickShape._defaultValues[key]
    end

    return rawget(self, key)
end

excitingBrickShape._defaultValues = {}

function excitingBrickShape._defaultValues:getMatrix()
    return self.rotations[self.rotation]
end

function excitingBrickShape.createexcitingBrickShape(data)
    local self = {}

    self._type = "excitingBrickShape"

    self.name = data.name or "Unknown"

    self.centerX = data.centerX
    self.centerY = data.centerY
    self.spawnOffsetX = data.spawnOffsetX or self.centerX or 0
    self.spawnOffsetY = data.spawnOffsetY or self.centerY or 0

    self.rotations = data.rotations
    self.offsets = data.offsets or defaultRotationOffset

    self.rotation = 1
    self.x = 0
    self.y = 0

    return setmetatable(self, excitingBrickShape._MT)
end

return excitingBrickShape