local excitingBrickGameSpeedCurve = {}

excitingBrickGameSpeedCurve._MT = {}

function excitingBrickGameSpeedCurve._MT:__index(key)
    if excitingBrickGameSpeedCurve._defaultValues[key] then
        return excitingBrickGameSpeedCurve._defaultValues[key]
    end

    return rawget(self, key)
end

excitingBrickGameSpeedCurve._defaultValues = {}

-- Use predetermined if possible, otherwise calculate
function excitingBrickGameSpeedCurve._defaultValues:timePerRow(level)
    return self._curve[level] or self._formula(level)
end

function excitingBrickGameSpeedCurve.defaultSpeedForumla(level)
    return (0.8 - ((level - 1) * 0.007))^(level - 1)
end

function excitingBrickGameSpeedCurve.createSpeedCurve(formula, lookup)
    local self = {}

    self._formula = formula or excitingBrickGameSpeedCurve.defaultSpeedForumla
    self._curve = lookup or {}

    return setmetatable(self, excitingBrickGameSpeedCurve._MT)
end

return excitingBrickGameSpeedCurve