local matrix = require("mods").requireFromPlugin("matrix")

local excitingBrickShape = {}

excitingBrickShape.name = "i"

excitingBrickShape.centerX = 3
excitingBrickShape.centerY = 3

excitingBrickShape.spawnOffsetX = 2
excitingBrickShape.spawnOffsetY = 2

excitingBrickShape.rotations = {
    matrix.fromTable({
        " ", " ", " ", " ", " ",
        " ", " ", " ", " ", " ",
        " ", "i", "i", "i", "i",
        " ", " ", " ", " ", " ",
        " ", " ", " ", " ", " ",

    }, 5, 5),
    matrix.fromTable({
        " ", " ", " ", " ", " ",
        " ", " ", "i", " ", " ",
        " ", " ", "i", " ", " ",
        " ", " ", "i", " ", " ",
        " ", " ", "i", " ", " ",

    }, 5, 5),
    matrix.fromTable({
        " ", " ", " ", " ", " ",
        " ", " ", " ", " ", " ",
        "i", "i", "i", "i", " ",
        " ", " ", " ", " ", " ",
        " ", " ", " ", " ", " ",

    }, 5, 5),
    matrix.fromTable({
        " ", " ", "i", " ", " ",
        " ", " ", "i", " ", " ",
        " ", " ", "i", " ", " ",
        " ", " ", "i", " ", " ",
        " ", " ", " ", " ", " ",

    }, 5, 5),
}

excitingBrickShape.offsets = {
    {{0, 0}, {-1, 0}, {2, 0}, {-1, 0}, {2, 0}},
    {{-1, 0}, {0, 0}, {0, 0}, {0, 1}, {0, -2}},
    {{-1, 1}, {1, 1}, {-2, 1}, {1, 0}, {-2, 0}},
    {{0, 1}, {0, 1}, {0, 1}, {0, -1}, {0, 2}}
}

return excitingBrickShape