local matrix = require("mods").requireFromPlugin("matrix")

local excitingBrickShape = {}

excitingBrickShape.name = "z"

excitingBrickShape.centerX = 2
excitingBrickShape.centerY = 2

excitingBrickShape.rotations = {
    matrix.fromTable({
        "z", "z", " ",
        " ", "z", "z",
        " ", " ", " "
    }, 3, 3),
    matrix.fromTable({
        " ", " ", "z",
        " ", "z", "z",
        " ", "z", " "
    }, 3, 3),
    matrix.fromTable({
        " ", " ", " ",
        "z", "z", " ",
        " ", "z", "z"
    }, 3, 3),
    matrix.fromTable({
        " ", "z", " ",
        "z", "z", " ",
        "z", " ", " "
    }, 3, 3)
}

excitingBrickShape.offsets = {
    {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},
    {{0, 0}, {1, 0}, {1, -1}, {0, 2}, {1, 2}},
    {{0, 0}, {0, 0}, {0, 0}, {0, 0}, {0, 0}},
    {{0, 0}, {-1, 0}, {-1, -1}, {0, 2}, {-1, 2}},
}

return excitingBrickShape