local simpleBoardEcho = {}

simpleBoardEcho._MT = {}

function simpleBoardEcho._MT:__index(key)
    if simpleBoardEcho._defaultValues[key] then
        return simpleBoardEcho._defaultValues[key]
    end

    return rawget(self, key)
end

simpleBoardEcho._defaultValues = {}

function simpleBoardEcho._defaultValues:sendBoardEcho(server, ip, port, packetData)
    server:sendto({"boardUpdate", server:getNextPacketNumber(), packetData}, ip, port)
end

simpleBoardEcho._defaultValues.packetHandler = {}

function simpleBoardEcho._defaultValues.packetHandler:boardUpdate(server, packetNumber, packetData, ip, port)
    self:sendBoardEcho(server, ip, port, packetData)
end

function simpleBoardEcho.createHandler()
    local self = {}

    return setmetatable(self, simpleBoardEcho._MT)
end

return simpleBoardEcho